%global _empty_manifest_terminate_build 0
Name:           python-apipkg
Version:        3.0.2
Release:        1
Summary:        Namespace control and lazy-import mechanism
License:        MIT
URL:            https://github.com/pytest-dev/apipkg
Source0:        https://files.pythonhosted.org/packages/2e/2c/717870bddbb588428093de4bfbce59c58d29b56bff76ecd422fd1724ae72/apipkg-3.0.2.tar.gz
BuildArch:      noarch

%description
With apipkg you can control the exported namespace of a Python package and greatly reduce the
number of imports for your users. It is a small pure Python module that works on CPython 2.7
and 3.4+, Jython and PyPy. It cooperates well with Python’s help() system, custom importers (PEP302)
and common command-line completion tools.

%package -n python3-apipkg
Summary:   Namespace control and lazy-import mechanism
Provides:  python-apipkg
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-setuptools_scm
BuildRequires:  python3-hatchling
BuildRequires:  python3-hatch-vcs
BuildRequires:  python3-wheel
%description -n python3-apipkg
With apipkg you can control the exported namespace of a Python package and greatly reduce the
number of imports for your users. It is a small pure Python module that works on CPython 2.7
and 3.4+, Jython and PyPy. It cooperates well with Python’s help() system, custom importers (PEP302)
and common command-line completion tools.

%package help
Summary:	Development documents and examples for apipkg
Provides:	python3-apipkg-doc
%description help
With apipkg you can control the exported namespace of a Python package and greatly reduce the
number of imports for your users. It is a small pure Python module that works on CPython 2.7
and 3.4+, Jython and PyPy. It cooperates well with Python’s help() system, custom importers (PEP302)
and common command-line completion tools.

%prep
%autosetup -n apipkg-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-apipkg -f filelist.lst
%dir %{python3_sitelib}/*
%{python3_sitelib}/apipkg

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 13 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.0.2-1
- Update package to version 3.0.2

* Thu Apr 27 2023 caodongxia <caodongxia@h-partners.com> - 3.0.1-2
- Adapting to the pyproject.toml compilation mode

* Fri Oct 28 2022 liqiuyu <liqiuyu@kylinos.cn> - 3.0.1-1
- Upgrade package to version 3.0.1

* Mon May 30 2022 liyanan <liyanan32@h-partners.com> - 2.1.1-1
- update to 2.1.1

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 1.5-3
- Remove Subpackage python2-apipkg

* Thu Mar 12 2020 chenli <chenli147@huawei.com> - 1.5-2
- Init package.
